Debian Bug report logs - #633561
pu: package kfreebsd-8/8.1+dfsg-9

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Robert Millan <rmh@debian.org>

Date: Mon, 11 Jul 2011 15:48:00 UTC

Severity: normal

Tags: confirmed, moreinfo, squeeze

Fixed in version 6.0.3

Done: Adam D. Barratt <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rmh@debian.org, debian-bsd@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Mon, 11 Jul 2011 15:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to rmh@debian.org, debian-bsd@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Mon, 11 Jul 2011 15:48:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1
Date: Mon, 11 Jul 2011 17:46:04 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

Please consider this update for kfreebsd-8 in squeeze.  It fixes a security
bug, a kernel panic condition in if_msk driver, and disables a buggy patch
which disabled 58 kernel modules (including many drivers for USB devices
and a few network cards) from the build system.

  * Fix net802.11 stack kernel memory disclosure (CVE-2011-2480).
    (Closes: #631160)
    - 000_net80211_disclosure.diff
  * Merge backported if_msk driver from 8-STABLE.  (Closes: #628954)
    - 000_msk_backport.diff
  * Disable buggy 009_disable_duped_modules.diff.  It was disabling many
    more modules than built into kernel (e.g. all USB modules).

debdiff attached.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.2-1-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[kfreebsd-8_8.1.diff (text/x-diff, attachment)]

Changed Bug title to 'pu: package kfreebsd-8/8.1+dfsg-9' from 'pu: package kfreebsd-8/8.1+dfsg-8+squeeze1' Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Mon, 11 Jul 2011 18:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Mon, 11 Jul 2011 18:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 11 Jul 2011 18:48:03 GMT) Full text and rfc822 format available.

Message #12 received at 633561@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 633561@bugs.debian.org
Cc: Petr Salinger <Petr.Salinger@seznam.cz>
Subject: Re: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1
Date: Mon, 11 Jul 2011 20:44:05 +0200
[Message part 1 (text/plain, inline)]
Please consider this version instead; I made a mistake when importing
the msk diff (both versions have been tested and are known to work,
but the first one is missing some of the upstream fixes).

Thanks

-- 
Robert Millan
[kfreebsd-8_8.1.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Sat, 17 Sep 2011 16:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 17 Sep 2011 16:00:03 GMT) Full text and rfc822 format available.

Message #17 received at 633561@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>, 633561@bugs.debian.org
Subject: Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1
Date: Sat, 17 Sep 2011 16:54:24 +0100
tags 633561 + moreinfo squeeze
thanks

Hi,

Apologies for letting this fall between the cracks for so long.

On Mon, 2011-07-11 at 17:46 +0200, Robert Millan wrote:
> Please consider this update for kfreebsd-8 in squeeze.  It fixes a security
> bug, a kernel panic condition in if_msk driver, and disables a buggy patch
> which disabled 58 kernel modules (including many drivers for USB devices
> and a few network cards) from the build system.
> 
>   * Fix net802.11 stack kernel memory disclosure (CVE-2011-2480).
>     (Closes: #631160)
>     - 000_net80211_disclosure.diff

This looks okay, although I think you meant #631161.  Your last message
in the log there says "uploaded to unstable, but the bug is still open
with no fixed versions recorded.  Please could you clarify the status
here?

>   * Merge backported if_msk driver from 8-STABLE.  (Closes: #628954)
>     - 000_msk_backport.diff

This should be okay, assuming that the resulting driver has been tested
on Squeeze systems.  A targetted fix would be preferable, but it sounds
from the upstream report as if that's not particularly easy to
accomplish.

>   * Disable buggy 009_disable_duped_modules.diff.  It was disabling many
>     more modules than built into kernel (e.g. all USB modules).

A few queries here, I'm afraid.

- What's the effect of re-enabling the (duplicate) building of the
modules which were intended to be disabled?

- Does this affect which modules end up in the udebs?

- The changelog comment from when the patch was introduced says that it
made a ~4MB difference to the size of the image.  As that was 2007, I'm
assuming that the size difference is a fair bit larger now?

- If the impact of the patch was to disable all USB modules, why was it
not disabled sooner?

Regards,

Adam





Added tag(s) squeeze and moreinfo. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 17 Sep 2011 16:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Sun, 18 Sep 2011 09:07:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 18 Sep 2011 09:07:26 GMT) Full text and rfc822 format available.

Message #24 received at 633561@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 633561@bugs.debian.org
Subject: Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1
Date: Sun, 18 Sep 2011 11:04:08 +0200
2011/9/17 Adam D. Barratt <adam@adam-barratt.org.uk>:
>>   * Fix net802.11 stack kernel memory disclosure (CVE-2011-2480).
>>     (Closes: #631160)
>>     - 000_net80211_disclosure.diff
>
> This looks okay, although I think you meant #631161.

Yes, indeed #631161.

> Your last message
> in the log there says "uploaded to unstable, but the bug is still open
> with no fixed versions recorded.  Please could you clarify the status
> here?

#631161 was fixed with kfreebsd-8 8.2-3, but it closed the wrong bug
(same confusion you noted above).

#631160 was fixed with kfreebsd-9 as the bug log indicates.

>>   * Merge backported if_msk driver from 8-STABLE.  (Closes: #628954)
>>     - 000_msk_backport.diff
>
> This should be okay, assuming that the resulting driver has been tested
> on Squeeze systems.

Yes, it has been.

> A targetted fix would be preferable, but it sounds
> from the upstream report as if that's not particularly easy to
> accomplish.

Upstream won't help on this, they consider 8.1 deprecated in favour of
8.2 (from which this fix was obtained).

Besides, I wouldn't risk messing with the driver in this way.
Upstream have different policies than us, but they're familiar with
the codebase and know what they're doing.

>>   * Disable buggy 009_disable_duped_modules.diff.  It was disabling many
>>     more modules than built into kernel (e.g. all USB modules).
>
> A few queries here, I'm afraid.
>
> - What's the effect of re-enabling the (duplicate) building of the
> modules which were intended to be disabled?

Just wasted space.

> - Does this affect which modules end up in the udebs?
>
> - The changelog comment from when the patch was introduced says that it
> made a ~4MB difference to the size of the image.  As that was 2007, I'm
> assuming that the size difference is a fair bit larger now?

The difference today is roughly 8 MiB. However, one should note that
the ~4MB difference from 2007 is likely to have "saved" more size than
it should (since my patch disabled more modules than it should). I
wouldn't take it as reference.

> - If the impact of the patch was to disable all USB modules, why was it
> not disabled sooner?

The USB drivers most users care about have either never been built as
modules (e.g. umass), or only begun recently to be provided as modules
(e.g. ulpt).

Since freebsd-utils 8.2+ds1-1, devd is able to auto-load most USB
modules.  This allowed us to move some drivers (e.g. ulpt) off the
kernel, and at that point the problem was noticed.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Fri, 23 Sep 2011 21:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 23 Sep 2011 21:00:03 GMT) Full text and rfc822 format available.

Message #29 received at 633561@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 633561@bugs.debian.org
Subject: Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1
Date: Fri, 23 Sep 2011 22:56:23 +0200
[Message part 1 (text/plain, inline)]
Btw, if you can, please also consider this change in addition to the
ones proposed.

  * Add a few missing files in header package to make it possible to
    build external modules.  (Closes: #630509)

Thanks!

-- 
Robert Millan
[modules.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Tue, 27 Sep 2011 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 27 Sep 2011 18:57:03 GMT) Full text and rfc822 format available.

Message #34 received at 633561@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>
Cc: 633561@bugs.debian.org
Subject: Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1
Date: Tue, 27 Sep 2011 19:56:06 +0100
On Sun, 2011-09-18 at 11:04 +0200, Robert Millan wrote:
> 2011/9/17 Adam D. Barratt <adam@adam-barratt.org.uk>:
> >>   * Disable buggy 009_disable_duped_modules.diff.  It was disabling many
> >>     more modules than built into kernel (e.g. all USB modules).
> >
> > A few queries here, I'm afraid.
[...]
> > - Does this affect which modules end up in the udebs?

It looks like this was missed in the original follow-up.  As a related
query, has a test build of kfreebsd-kernel-di-* been performed in order
to find out whether any additional modules get pulled in to the
packages?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Fri, 30 Sep 2011 22:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 30 Sep 2011 22:30:03 GMT) Full text and rfc822 format available.

Message #39 received at 633561@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 633561@bugs.debian.org
Subject: Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1
Date: Sat, 1 Oct 2011 00:25:57 +0200
2011/9/27 Adam D. Barratt <adam@adam-barratt.org.uk>:
>> > - Does this affect which modules end up in the udebs?
>
> It looks like this was missed in the original follow-up.  As a related
> query, has a test build of kfreebsd-kernel-di-* been performed in order
> to find out whether any additional modules get pulled in to the
> packages?

I just tried.  The resulting file lists are identical.

I guess with the new kfreebsd-8 it'd be possible to enable additional
modules, but this would require changes in kfreebsd-kernel-di-*
source.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Sat, 01 Oct 2011 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 01 Oct 2011 08:51:04 GMT) Full text and rfc822 format available.

Message #44 received at 633561@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>, 633561@bugs.debian.org
Subject: Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1
Date: Sat, 01 Oct 2011 09:48:27 +0100
tag 633561 + confirmed
thanks

On Sat, 2011-10-01 at 00:25 +0200, Robert Millan wrote:
> 2011/9/27 Adam D. Barratt <adam@adam-barratt.org.uk>:
> >> > - Does this affect which modules end up in the udebs?
> >
> > It looks like this was missed in the original follow-up.  As a related
> > query, has a test build of kfreebsd-kernel-di-* been performed in order
> > to find out whether any additional modules get pulled in to the
> > packages?
> 
> I just tried.  The resulting file lists are identical.

Thanks.

Please go ahead, bearing in mind that the upload window for the Squeeze
point release closes over this weekend.

Regards,

Adam





Added tag(s) confirmed. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 01 Oct 2011 08:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Sat, 01 Oct 2011 10:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 01 Oct 2011 10:27:05 GMT) Full text and rfc822 format available.

Message #51 received at 633561@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 633561@bugs.debian.org
Subject: Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1
Date: Sat, 1 Oct 2011 12:23:16 +0200
2011/10/1 Adam D. Barratt <adam@adam-barratt.org.uk>:
> Please go ahead, bearing in mind that the upload window for the Squeeze
> point release closes over this weekend.

Uploaded.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Sat, 01 Oct 2011 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 01 Oct 2011 17:12:03 GMT) Full text and rfc822 format available.

Message #56 received at 633561@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>, 633561@bugs.debian.org
Subject: Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1
Date: Sat, 01 Oct 2011 18:09:10 +0100
tag 633561 + pending
thanks

On Sat, 2011-10-01 at 12:23 +0200, Robert Millan wrote:
> 2011/10/1 Adam D. Barratt <adam@adam-barratt.org.uk>:
> > Please go ahead, bearing in mind that the upload window for the Squeeze
> > point release closes over this weekend.
> 
> Uploaded.

Flagged for acceptance at the next dinstall; thanks.

Regards,

Adam





Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 01 Oct 2011 17:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Sat, 01 Oct 2011 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 01 Oct 2011 21:03:03 GMT) Full text and rfc822 format available.

Message #63 received at 633561@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 633561@bugs.debian.org, debian-boot@lists.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1
Date: Sat, 1 Oct 2011 22:59:39 +0200
2011/10/1 Adam D. Barratt <adam@adam-barratt.org.uk>:
> On Sat, 2011-10-01 at 12:23 +0200, Robert Millan wrote:
>> 2011/10/1 Adam D. Barratt <adam@adam-barratt.org.uk>:
>> > Please go ahead, bearing in mind that the upload window for the Squeeze
>> > point release closes over this weekend.
>>
>> Uploaded.
>
> Flagged for acceptance at the next dinstall; thanks.

Thank you.  Btw, how do we go about propagating this to kfreebsd-kernel-di-*?

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Sat, 01 Oct 2011 21:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 01 Oct 2011 21:15:03 GMT) Full text and rfc822 format available.

Message #68 received at 633561@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>
Cc: 633561@bugs.debian.org, debian-boot@lists.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1
Date: Sat, 01 Oct 2011 22:12:01 +0100
On Sat, 2011-10-01 at 22:59 +0200, Robert Millan wrote:
> 2011/10/1 Adam D. Barratt <adam@adam-barratt.org.uk>:
> > On Sat, 2011-10-01 at 12:23 +0200, Robert Millan wrote:
> >> 2011/10/1 Adam D. Barratt <adam@adam-barratt.org.uk>:
> >> > Please go ahead, bearing in mind that the upload window for the Squeeze
> >> > point release closes over this weekend.
> >>
> >> Uploaded.
> >
> > Flagged for acceptance at the next dinstall; thanks.
> 
> Thank you.  Btw, how do we go about propagating this to kfreebsd-kernel-di-*?

If there are changes which need propagating to the udebs - which isn't
always the case, as evidenced by the fact that the last build was
against 8.1+dfsg-7.1 - someone from -boot needs to upload both source
packages; it looks like Aurelien has done that in the past.

If the aim is to do that for 6.0.3 then those uploads need to happen
within the next day, or they'll miss the cut-off.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Sun, 02 Oct 2011 12:48:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 02 Oct 2011 12:48:31 GMT) Full text and rfc822 format available.

Message #73 received at 633561@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 633561@bugs.debian.org, debian-boot@lists.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1
Date: Sun, 2 Oct 2011 14:37:03 +0200
2011/10/1 Adam D. Barratt <adam@adam-barratt.org.uk>:
> If there are changes which need propagating to the udebs

Yes.  The if_msk update is specially important for the installer.

> If the aim is to do that for 6.0.3 then those uploads need to happen
> within the next day, or they'll miss the cut-off.

I've uploaded a BinNMU for both packages.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Sun, 02 Oct 2011 13:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 02 Oct 2011 13:24:03 GMT) Full text and rfc822 format available.

Message #78 received at 633561@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>, 633561@bugs.debian.org
Cc: debian-boot@lists.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1
Date: Sun, 02 Oct 2011 14:21:00 +0100
On Sun, 2011-10-02 at 14:37 +0200, Robert Millan wrote:
> 2011/10/1 Adam D. Barratt <adam@adam-barratt.org.uk>:
> > If there are changes which need propagating to the udebs
> 
> Yes.  The if_msk update is specially important for the installer.
> 
> > If the aim is to do that for 6.0.3 then those uploads need to happen
> > within the next day, or they'll miss the cut-off.
> 
> I've uploaded a BinNMU for both packages.

If I'd been sure that binNMUs would work then we could have scheduled
them directly; the previous uploads have all been sourceful, so I
assumed there was a reason for that.

In any case, I've flagged the uploads for acceptance at the next
dinstall.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Mon, 03 Oct 2011 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 03 Oct 2011 19:39:03 GMT) Full text and rfc822 format available.

Message #83 received at 633561@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 633561@bugs.debian.org, debian-boot@lists.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1
Date: Mon, 3 Oct 2011 21:36:21 +0200
2011/10/2 Adam D. Barratt <adam@adam-barratt.org.uk>:
> If I'd been sure that binNMUs would work then we could have scheduled
> them directly; the previous uploads have all been sourceful, so I
> assumed there was a reason for that.
>
> In any case, I've flagged the uploads for acceptance at the next
> dinstall.

I notice they've been installed. Thanks!

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Wed, 05 Oct 2011 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 05 Oct 2011 22:21:03 GMT) Full text and rfc822 format available.

Message #88 received at 633561@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>, 633561@bugs.debian.org
Cc: debian-bsd@lists.debian.org, debian-boot@lists.debian.org
Subject: kfreebsd-i386 d-i/squeeze FTBFS (was Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1)
Date: Wed, 05 Oct 2011 23:20:00 +0100
[tl,dr; these changes broke d-i in stable]

On Sat, 2011-10-01 at 00:25 +0200, Robert Millan wrote:
> 2011/9/27 Adam D. Barratt <adam@adam-barratt.org.uk>:
> >> > - Does this affect which modules end up in the udebs?
> >
> > It looks like this was missed in the original follow-up.  As a related
> > query, has a test build of kfreebsd-kernel-di-* been performed in order
> > to find out whether any additional modules get pulled in to the
> > packages?
> 
> I just tried.  The resulting file lists are identical.

debian-installer was binNMUed earlier today in preparation for the point
release, and FTBFS on kfreebsd-i386.  The log finishes with:

# Move the kernel image out of the way.
mv -f ./tmp/cdrom/tree/boot/kfreebsd.gz ./tmp/cdrom/kfreebsd.gz;
test -e ./tmp/cdrom/tree/boot/zfs || rmdir ./tmp/cdrom/tree/boot/
rmdir: failed to remove `./tmp/cdrom/tree/boot/': Directory not empty
make[7]: *** [stamps/tree-unpack-cdrom-stamp] Error 1

The problem appears to be that the contents of the kernel udeb have
changed:

$ debdiff kernel-image-8.1-1-486-di_0.6_kfreebsd-i386.udeb kernel-image-8.1-1-486-di_0.6+b1_kfreebsd-i386.udeb 
[...]
Files in second .deb but not in first
-------------------------------------
-rw-r--r--  root/root   /boot/acpi.ko

This appears to be due to the fact that the new kfreebsd-8 +squeeze1
kernel on -i386 builds acpi.ko as a module, which is then picked up by
existing "install this module if it exists" rules in kernel-wedge.

A quick fix would be appreciated, whether from the kfreebsd or d-i side,
given the increasingly short period of time we have remaining until the
point release is scheduled.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Wed, 05 Oct 2011 23:09:06 GMT) Full text and rfc822 format available.

Message #91 received at 633561@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 633561@bugs.debian.org
Cc: Robert Millan <rmh@debian.org>, debian-bsd@lists.debian.org, debian-boot@lists.debian.org
Subject: Re: Bug#633561: kfreebsd-i386 d-i/squeeze FTBFS (was Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1)
Date: Thu, 6 Oct 2011 00:57:15 +0200
[Message part 1 (text/plain, inline)]
On Wed, Oct 05, 2011 at 11:20:00PM +0100, Adam D. Barratt wrote:
> [tl,dr; these changes broke d-i in stable]

I think in the worst case we can just keep the current (as in
non-point release version) of d-i on kfreebsd-* for the next point
release and don't update to the binNMU.  It's actually from the same
source, so there are no issues with introducing out-of-dates.

It's not that we'd need any urgent fixes in d-i on kfreebsd.

That said, this needs to be fixed, and we're all not very happy, given
the fact that we actually did ask before if something changes in the
udeb output.

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Thu, 06 Oct 2011 05:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 06 Oct 2011 05:21:12 GMT) Full text and rfc822 format available.

Message #96 received at 633561@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 633561@bugs.debian.org, debian-bsd@lists.debian.org, debian-boot@lists.debian.org
Subject: Re: kfreebsd-i386 d-i/squeeze FTBFS (was Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1)
Date: Thu, 6 Oct 2011 07:20:50 +0200
[Message part 1 (text/plain, inline)]
2011/10/6 Adam D. Barratt <adam@adam-barratt.org.uk>:
> test -e ./tmp/cdrom/tree/boot/zfs || rmdir ./tmp/cdrom/tree/boot/
> rmdir: failed to remove `./tmp/cdrom/tree/boot/': Directory not empty
> [...]
> $ debdiff kernel-image-8.1-1-486-di_0.6_kfreebsd-i386.udeb kernel-image-8.1-1-486-di_0.6+b1_kfreebsd-i386.udeb
> [...]
> Files in second .deb but not in first
> -------------------------------------
> -rw-r--r--  root/root   /boot/acpi.ko
>
> This appears to be due to the fact that the new kfreebsd-8 +squeeze1
> kernel on -i386 builds acpi.ko as a module, which is then picked up by
> existing "install this module if it exists" rules in kernel-wedge.

Actually, the problem is not presence of acpi.ko itself, but the fact
that a symlink to this file exists in /boot/.  This is due to an old
postinst kludge from pre-GRUB time.

> A quick fix would be appreciated, whether from the kfreebsd or d-i side,
> given the increasingly short period of time we have remaining until the
> point release is scheduled.

Attached patch should fix the problem.  I can upload a fixed
kfreebsd-8 this evening (feel free to NMU if someone has time to
verify earlier than that).

-- 
Robert Millan
[acpi.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Thu, 06 Oct 2011 05:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 06 Oct 2011 05:27:03 GMT) Full text and rfc822 format available.

Message #101 received at 633561@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Philipp Kern <pkern@debian.org>
Cc: 633561@bugs.debian.org, debian-bsd@lists.debian.org, debian-boot@lists.debian.org
Subject: Re: Bug#633561: kfreebsd-i386 d-i/squeeze FTBFS (was Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1)
Date: Thu, 6 Oct 2011 07:22:58 +0200
2011/10/6 Philipp Kern <pkern@debian.org>:
> That said, this needs to be fixed, and we're all not very happy, given
> the fact that we actually did ask before if something changes in the
> udeb output.

I have to say in my defense that I did check for changes in udeb
output.  However these changes don't happen on my arch
(kfreebsd-amd64), as they're i386-specific.  I admit I should have
checked both.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Thu, 06 Oct 2011 15:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 06 Oct 2011 15:54:08 GMT) Full text and rfc822 format available.

Message #106 received at 633561@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>
Cc: <633561@bugs.debian.org>, <debian-bsd@lists.debian.org>, <debian-boot@lists.debian.org>
Subject: Re: kfreebsd-i386 d-i/squeeze FTBFS (was Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1)
Date: Thu, 06 Oct 2011 16:52:09 +0100
On Thu, 6 Oct 2011 07:20:50 +0200, Robert Millan wrote:
> 2011/10/6 Adam D. Barratt <adam@adam-barratt.org.uk>:
>> test -e ./tmp/cdrom/tree/boot/zfs || rmdir ./tmp/cdrom/tree/boot/
>> rmdir: failed to remove `./tmp/cdrom/tree/boot/': Directory not 
>> empty
>> [...]
>> $ debdiff kernel-image-8.1-1-486-di_0.6_kfreebsd-i386.udeb 
>> kernel-image-8.1-1-486-di_0.6+b1_kfreebsd-i386.udeb
>> [...]
>> Files in second .deb but not in first
>> -------------------------------------
>> -rw-r--r--  root/root   /boot/acpi.ko
>>
>> This appears to be due to the fact that the new kfreebsd-8 +squeeze1
>> kernel on -i386 builds acpi.ko as a module, which is then picked up 
>> by
>> existing "install this module if it exists" rules in kernel-wedge.
>
> Actually, the problem is not presence of acpi.ko itself, but the fact
> that a symlink to this file exists in /boot/.  This is due to an old
> postinst kludge from pre-GRUB time.

Okay.

>> A quick fix would be appreciated, whether from the kfreebsd or d-i 
>> side,
>> given the increasingly short period of time we have remaining until 
>> the
>> point release is scheduled.
>
> Attached patch should fix the problem.  I can upload a fixed
> kfreebsd-8 this evening (feel free to NMU if someone has time to
> verify earlier than that).

Forgive my ignorance on the precise mechanics, but is it correct that 
the /boot/kernel/kernel.gz symlink creation was also removed?

Would you be able to also upload a kfreebsd-i386 build?  That would 
help reduce the turnaround time before we can schedule a rebuild of 
kfreebsd-kernel-di-i386.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Thu, 06 Oct 2011 20:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 06 Oct 2011 20:21:08 GMT) Full text and rfc822 format available.

Message #111 received at 633561@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Robert Millan <rmh@debian.org>, 633561@bugs.debian.org
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, debian-bsd@lists.debian.org, debian-boot@lists.debian.org
Subject: Re: Bug#633561: kfreebsd-i386 d-i/squeeze FTBFS (was Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1)
Date: Thu, 6 Oct 2011 22:20:51 +0200
On Thu, Oct  6, 2011 at 07:20:50 +0200, Robert Millan wrote:

> Attached patch should fix the problem.  I can upload a fixed
> kfreebsd-8 this evening (feel free to NMU if someone has time to
> verify earlier than that).
> 
What's the status of that upload?

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Thu, 06 Oct 2011 21:21:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 06 Oct 2011 21:21:12 GMT) Full text and rfc822 format available.

Message #116 received at 633561@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 633561@bugs.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, debian-bsd@lists.debian.org, debian-boot@lists.debian.org
Subject: Re: Bug#633561: kfreebsd-i386 d-i/squeeze FTBFS (was Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1)
Date: Thu, 6 Oct 2011 23:12:26 +0200
[Message part 1 (text/plain, inline)]
2011/10/6 Julien Cristau <jcristau@debian.org>:
> On Thu, Oct  6, 2011 at 07:20:50 +0200, Robert Millan wrote:
>
>> Attached patch should fix the problem.  I can upload a fixed
>> kfreebsd-8 this evening (feel free to NMU if someone has time to
>> verify earlier than that).
>>
> What's the status of that upload?

I realized the symlink in kfreebsd-8 had nothing to do with this.  The
actual problem was in kernel-wedge and kfreebsd-kernel-di-i386.

I've just NMUed both packages.

Debdiffs attached.

-- 
Robert Millan
[kernel-wedge.diff (text/x-diff, attachment)]
[kfreebsd-kernel-di-i386.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Thu, 06 Oct 2011 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 06 Oct 2011 21:27:06 GMT) Full text and rfc822 format available.

Message #121 received at 633561@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 633561@bugs.debian.org, debian-bsd@lists.debian.org, debian-boot@lists.debian.org
Subject: Re: kfreebsd-i386 d-i/squeeze FTBFS (was Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1)
Date: Thu, 6 Oct 2011 23:15:02 +0200
2011/10/6 Adam D. Barratt <adam@adam-barratt.org.uk>:
> Forgive my ignorance on the precise mechanics, but is it correct that the
> /boot/kernel/kernel.gz symlink creation was also removed?

Yes, this is all curft for backward compatibility with versions of
Debian GNU/kFreeBSD that have never been part of a Debian release.

However, it's not the cause for this problem (see my other mail).  In
fact it's probably harmless, and it's gone with 8.2 anyway.  I
wouldn't worry about them.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633561; Package release.debian.org. (Fri, 07 Oct 2011 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 07 Oct 2011 18:39:03 GMT) Full text and rfc822 format available.

Message #126 received at 633561@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>, 633561@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, debian-bsd@lists.debian.org, debian-boot@lists.debian.org
Subject: Re: Bug#633561: kfreebsd-i386 d-i/squeeze FTBFS (was Re: Bug#633561: pu: package kfreebsd-8/8.1+dfsg-8+squeeze1)
Date: Fri, 07 Oct 2011 19:35:40 +0100
On Thu, 2011-10-06 at 23:12 +0200, Robert Millan wrote:
> 2011/10/6 Julien Cristau <jcristau@debian.org>:
> > On Thu, Oct  6, 2011 at 07:20:50 +0200, Robert Millan wrote:
> >
> >> Attached patch should fix the problem.  I can upload a fixed
> >> kfreebsd-8 this evening (feel free to NMU if someone has time to
> >> verify earlier than that).
> >>
> > What's the status of that upload?
> 
> I realized the symlink in kfreebsd-8 had nothing to do with this.  The
> actual problem was in kernel-wedge and kfreebsd-kernel-di-i386.

Ah, okay.

> I've just NMUed both packages.
> 
> Debdiffs attached.

For the record, the NMUs were acked on IRC and accepted earlier today.
I gave the kfreebsd-i386 d-i build back and it built successfully;
thanks.

Regards,

Adam





Bug marked as fixed in version 6.0.3, send any further explanations to Robert Millan <rmh@debian.org> Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 08 Oct 2011 16:57:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Nov 2011 07:38:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:05:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.